using AyCode.Blazor.Components;
using Microsoft.AspNetCore.Components;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TIAMWebApp.Shared.Application.Models;

namespace TIAMSharedUI.Pages.Components
{
    public partial class AuctionItemComponent : ComponentBase
    {
        [Parameter]
        public int AuctionItemId { get; set; }
        [Parameter]
        public int TargetAuctionId { get; set; }
        [Parameter]
        public Guid UserId { get; set; }

        public string IsLoading { get; set; } = "";

        public int currentStep = 0;
       
        public AuctionBidModel auctionBidModel = new();

        public string status = "";
        public Guid sUserId = Guid.Empty;

        public void NextStep()
        {
            currentStep++;           
        }
        public void PreviousStep()
        {
            currentStep--;
        }

        protected override void OnInitialized()
        {
            IsLoading = "loaded!";
            base.OnInitialized();
        }
        
        public void AddStatus(string message)
        {
            status += message + "\n";
        }

        public void SubmitBid()
        { 
        
        }
    }

}
